| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GlsMovingEye Class Reference
Inheritance diagram for GlsMovingEye:

## Public Types
enum | Movement_t { CONSTANT = 0 , SINUSOIDAL = 1 }
enum | Route_t { DIRECT = 0 , ARC = 1 }
Public Types inherited from GlsEyePoint
enum | FovConstraintType { FOV_CONSTRAINT_NONE , FOV_CONSTRAINT_GREATER , FOV_CONSTRAINT_LESS , FOV_CONSTRAINT_EXACTLY }
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }

## Public Member Functions
| GlsMovingEye ()
| GlsMovingEye (GlsMovingEye &src)
bool | DisableMoveHistory ()
void | DisableMoveHistory (bool his)
bool | EmitEvent ()
void | EmitEvent (bool emit)
String | LookAtObject ()
void | LookAtObject (String name)
float | MaxSpeed ()
void | MaxSpeed (float speed)
Movement_t | Movement ()
void | Movement (Movement_t movementType)
Route_t | Route ()
void | Route (Route_t routeType)
Public Member Functions inherited from GlsEyePoint
| GlsEyePoint ()
| GlsEyePoint (GlsEyePoint &src)
void | FOV (double fovDeg)
void | OtherFOV (double fovDeg)
void | FovIsHorizontal (bool val)
void | Orthographic (bool val)
void | OrthoSize (double val)
void | OtherOrthoSize (double val)
void | NearClip (double val)
void | FarClip (double val)
void | HorizontalConstraint (FovConstraintType val)
void | VerticalConstraint (FovConstraintType val)
void | SetViewVectors (Vector &x, Vector &y, Vector &z)
double | FOV (void)
double | OtherFOV (void)
bool | FovIsHorizontal (void)
bool | Orthographic (void)
double | OrthoSize (void)
double | OtherOrthoSize (void)
double | NearClip (void)
double | FarClip (void)
FovConstraintType | HorizontalConstraint (void)
FovConstraintType | VerticalConstraint (void)
void | GetViewVectors (Vector &x, Vector &y, Vector &z)
void | Orientation (Vector &direction, float roll, Vector &upVector=Vector(0, 1, 0))
Vector | Direction (void)
float | Roll (Vector upVector=Vector(0, 1, 0))
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsMovingEye * | CastToGlsMovingEye (DisplayObject *obj)
Static Public Member Functions inherited from GlsEyePoint
static GlsEyePoint * | CastToGlsEyePoint (DisplayObject *obj)

## Additional Inherited Members
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Python extension used to modify and create GlsMovingEye editor objects.

## Member Enumeration Documentation

## ◆ Movement_t

enum GlsMovingEye::Movement_t

Movement type values.

Enumerator
CONSTANT |
SINUSOIDAL |

## ◆ Route_t

enum GlsMovingEye::Route_t

Route type values.

Enumerator
DIRECT |
ARC |

## Constructor & Destructor Documentation

## ◆ GlsMovingEye() [1/2]

GlsMovingEye::GlsMovingEye | ( |  | ) |

default constructor

## ◆ GlsMovingEye() [2/2]

GlsMovingEye::GlsMovingEye | ( | GlsMovingEye & | src | ) |

copy constructor

## Member Function Documentation

## ◆ CastToGlsMovingEye()

static GlsMovingEye * GlsMovingEye::CastToGlsMovingEye | ( | DisplayObject * | obj | ) |
| static

Casts the Display Object as a GlsMovingEye NOTE: perform an isNULL check on the returned value to ensure the cast was accomplished.

Parameters

  obj | objects to cast

Returns
  GlsMovingEye the GlsMovingEye

Exceptions

  CEIException |

## ◆ DisableMoveHistory() [1/2]

bool GlsMovingEye::DisableMoveHistory | ( |  | ) |

Gets the move history disable flag.

Returns
  Whether or not the move history is disabled.

## ◆ DisableMoveHistory() [2/2]

void GlsMovingEye::DisableMoveHistory | ( | bool | his | ) |

Sets the move history disable flag.

Parameters

  his | True if the move history should be disabled.

## ◆ EmitEvent() [1/2]

bool GlsMovingEye::EmitEvent | ( |  | ) |

Gets the event emit flag.

Returns
  Whether or not an event is emitted upon completion of a commanded movement.

## ◆ EmitEvent() [2/2]

void GlsMovingEye::EmitEvent | ( | bool | emit | ) |

Sets the event emit flag.

Parameters

  emit | Sets whether or not an event is emitted upon completion of a commanded movement.

## ◆ LookAtObject() [1/2]

String GlsMovingEye::LookAtObject | ( |  | ) |

Gets the look at object name.

Returns
  The name of the object that the eyepoint should be always looking at.

## ◆ LookAtObject() [2/2]

void GlsMovingEye::LookAtObject | ( | String | name | ) |

Sets the look at object name.

Parameters

  name | The name of the object that the eyepoint should be always looking at.

## ◆ MaxSpeed() [1/2]

float GlsMovingEye::MaxSpeed | ( |  | ) |

Gets the maximum movement speed.

Returns
  The maximum speed in logical units/second which will be used to achive the transition between eyepoints.

## ◆ MaxSpeed() [2/2]

void GlsMovingEye::MaxSpeed | ( | float | speed | ) |

Sets the maximum movement speed.

Parameters

  speed | The maximum speed in logical units/second which will be used to achive the transition between eyepoints.

## ◆ Movement() [1/2]

Movement_t GlsMovingEye::Movement | ( |  | ) |

Gets the movement type.

Returns
  The type of movement algorithm to use when moving to another eyepoint.

## ◆ Movement() [2/2]

void GlsMovingEye::Movement | ( | Movement_t | movementType | ) |

Sets the movement type.

Parameters

  movementType | The type of movement algorithm to use when moving to another eyepoint.

## ◆ Route() [1/2]

Route_t GlsMovingEye::Route | ( |  | ) |

Gets the route type.

Returns
  The type of route to use when moving to another eyepoint.

## ◆ Route() [2/2]

void GlsMovingEye::Route | ( | Route_t | routeType | ) |

Sets the route type.

Parameters

  routeType | The type of route to use when moving to another eyepoint.

The documentation for this class was generated from the following file:

- GlsMovingEye.i